'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgUpArrow = function SvgUpArrow(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#UpArrow_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M52.003 27.482h.235l-.03.233a56.4 56.4 0 0 1-14.41 30.242A59.87 59.87 0 0 1 8.41 75.44a59 59 0 0 1-5.813 1.22.74.74 0 0 0-.438.247.644.644 0 0 0 .05.9c.13.12.299.187.475.193h2.641c14.624.022 28.793-5.042 40.043-14.312 11.066-9.11 18.407-21.908 20.652-35.999v-.172h11.253a.75.75 0 0 0 .643-.37.65.65 0 0 0 .081-.363.6.6 0 0 0-.137-.344L59.346 2.273a.65.65 0 0 0-.25-.202.7.7 0 0 0-.316-.07.7.7 0 0 0-.321.075.75.75 0 0 0-.255.197L39.709 26.394a.66.66 0 0 0 .01.683.718.718 0 0 0 .648.38zm-40.461 48.97-.082-.395a61.17 61.17 0 0 0 28.637-18.57A57.6 57.6 0 0 0 53.7 26.94a.692.692 0 0 0-.168-.531.7.7 0 0 0-.235-.168.8.8 0 0 0-.29-.06H41.632l17.133-22.33 17.173 22.31H65.44a.77.77 0 0 0-.474.171.68.68 0 0 0-.24.415c-1.864 12.9-8.095 24.789-17.668 33.713-9.76 9.032-22.235 14.64-35.515 15.966z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "UpArrow_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgUpArrow;
